@echo off
REM #####################################################################
REM
REM WBM_profileCreation_standAlone_Typical[.bat] 
REM
REM This script creates a WebSphere Business Monitor stand-alone profile, takeing the default profile creation options using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment.
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
REM 
REM For more manageprofiles options, from <WBM_HOME>\bin directory, run the following:
REM
REM manageprofiles.bat -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/default -help
REM
REM usage: WBM_profileCreation_standAlone_Typical.bat
REM
REM #####################################################################
SETLOCAL

SET WBM_HOME=C:\IBM\WebSphere\MonServer

SET TEMPLATE_PATH=%WBM_HOME%\profileTemplates\wbmonitor\default

SET PROFILE_NAME=WBMon01

SET PROFILE_PATH=%WBM_HOME%\profiles\%PROFILE_NAME%

SET NODE_NAME=wbmNode01

SET CELL_NAME=wbmNode01Cell

SET HOST_NAME=wbm.austin.ibm.com

SET ENABLE_ADMIN_SECURITY=true

SET ADMIN_USER_NAME=admin

SET ADMIN_PASSWORD=superSecret

SET SAMPLES_PASSWORD=superSecret

REM Example:- -create -templatePath C:\IBM\WebSphere\MonServer\profileTemplates\wbmonitor\default -profileName WBMon01 -profilePath C:\IBM\WebSphere\MonServer\profiles\WBMon01 -cellName wbmNode01Cell -nodeName wbmNode01 -hostName wps.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword admin -samplesPassword admin

echo The WebSphere Business Monitor stand-alone profile (%PROFILE_NAME%) creation is under progress

%WBM_HOME%\bin\manageprofiles.bat -create -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -cellName %CELL_NAME% -nodeName %NODE_NAME% -hostName %HOST_NAME% -enableAdminSecurity %ENABLE_ADMIN_SECURITY% -adminUserName %ADMIN_USER_NAME% -adminPassword %ADMIN_PASSWORD% -samplesPassword %SAMPLES_PASSWORD%

ENDLOCAL


